# SPDX-FileCopyrightText: 2020 Tobias Leupold <tobias.leupold@gmx.de>
#
# SPDX-License-Identifier: BSD-3-Clause

include(../shared_config.pri)

LIBS += -dead_strip

RESOURCES.files += ../pixmaps/banner.png
RESOURCES.files += ../pixmaps/new.png
RESOURCES.files += ../pixmaps/new_dark.png
RESOURCES.files += ../pixmaps/open.png
RESOURCES.files += ../pixmaps/open_dark.png
RESOURCES.files += ../pixmaps/marker.png
RESOURCES.files += ../pixmaps/marker_dark.png
RESOURCES.files += ../pixmaps/draw.png
RESOURCES.files += ../pixmaps/draw_dark.png
RESOURCES.files += ../pixmaps/unused.png
RESOURCES.files += ../pixmaps/unused_dark.png
RESOURCES.files += ../pixmaps/visible_dark.png
RESOURCES.files += ../pixmaps/hidden_dark.png
RESOURCES.files += ../pixmaps/phonetic.png
RESOURCES.files += ../pixmaps/phonetic_dark.png
RESOURCES.files += ../pixmaps/noautoselect.png
RESOURCES.files += ../pixmaps/noautoselect_dark.png

RESOURCES.files += ./qt_de.qm
RESOURCES.files += ./muckturnier_de.qm
RESOURCES.files += ./application-x-muckturnier.icns

RESOURCES.files += ../../../Readme.htm

RESOURCES.path = Contents/Resources
QMAKE_BUNDLE_DATA += RESOURCES

ICON = muckturnier.icns
QMAKE_INFO_PLIST = Info.plist
