/* SPDX-FileCopyrightText: 2019-2020 Tobias Leupold <tobias.leupold@gmx.de>

   SPDX-License-Identifier: GPL-3.0-or-later
*/

#ifndef SETTINGSDIALOG_H
#define SETTINGSDIALOG_H

// Local includes
#include "shared/TitleDialog.h"

// Local classes
class SharedObjects;
class StackedWidgetList;

class SettingsDialog : public TitleDialog
{
    Q_OBJECT

public:
    explicit SettingsDialog(QWidget *parent, SharedObjects *sharedObjects, bool networkInUse);

protected slots:
    void accept() override;

private: // Variables
    StackedWidgetList *m_list;

};

#endif // SETTINGSDIALOG_H
