# SPDX-FileCopyrightText: 2017-2020 Tobias Leupold <tobias.leupold@gmx.de>
#
# SPDX-License-Identifier: BSD-3-Clause

CONFIG += c++17
CONFIG += qt
CONFIG += static

QT += widgets
QT += sql
QT += network

DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x050B00

src=$$PWD/../src
INCLUDEPATH += $$src

HEADERS += $$src/*.h
HEADERS += $$src/ClientPage/*.h
HEADERS += $$src/ExportTournamentDialog/*.h
HEADERS += $$src/NewTournamentDialog/*.h
HEADERS += $$src/RegistrationPage/*.h
HEADERS += $$src/ScorePage/*.h
HEADERS += $$src/ServerPage/*.h
HEADERS += $$src/SettingsDialog/*.h
HEADERS += $$src/StopWatchDialog/*.h
HEADERS += $$src/network/*.h
HEADERS += $$src/shared/*.h

SOURCES += $$src/*.cpp
SOURCES += $$src/ClientPage/*.cpp
SOURCES += $$src/ExportTournamentDialog/*.cpp
SOURCES += $$src/NewTournamentDialog/*.cpp
SOURCES += $$src/RegistrationPage/*.cpp
SOURCES += $$src/ScorePage/*.cpp
SOURCES += $$src/ServerPage/*.cpp
SOURCES += $$src/SettingsDialog/*.cpp
SOURCES += $$src/StopWatchDialog/*.cpp
SOURCES += $$src/network/*.cpp
SOURCES += $$src/shared/*.cpp

TARGET = muckturnier
