/* SPDX-FileCopyrightText: 2018-2020 Tobias Leupold <tobias.leupold@gmx.de>

   SPDX-License-Identifier: GPL-3.0-or-later
*/

#ifndef EXPANDINGLABEL_H
#define EXPANDINGLABEL_H

// Qt includes
#include <QLabel>

class ExpandingLabel : public QLabel
{
    Q_OBJECT

public:
    explicit ExpandingLabel(QWidget *parent = nullptr);
    void resizeText();

protected:
    void resizeEvent(QResizeEvent *event) override;

};

#endif // EXPANDINGLABEL_H
