/* SPDX-FileCopyrightText: 2020 Tobias Leupold <tobias.leupold@gmx.de>

   SPDX-License-Identifier: GPL-3.0-or-later
*/

#ifndef DRAWMAPPER_H
#define DRAWMAPPER_H

// Local includes
#include "Draw.h"

// Qt includes
#include <QVector>
#include <QString>

namespace DrawMapper
{

const auto EMPTY_TABLE = QVector<QString> { QString(), QString(), QString(), QString() };

QVector<QVector<QString>> mapDraw(const QVector<QString> &allRegistrations,
                                  const QVector<Draw::Seat> &allDraws);

}

#endif // DRAWMAPPER_H
