/* SPDX-FileCopyrightText: 2020 Tobias Leupold <tobias.leupold@gmx.de>

   SPDX-License-Identifier: GPL-3.0-or-later
*/

// Local includes
#include "OptionalPage.h"

// Qt includes
#include <QVBoxLayout>

OptionalPage::OptionalPage(QWidget *parent) : QWidget(parent)
{
    m_layout = new QVBoxLayout(this);
}

QVBoxLayout *OptionalPage::layout() const
{
    return m_layout;
}

bool OptionalPage::closePage()
{
    emit pageClosed();
    parent()->deleteLater();
    return true;
}
