/* SPDX-FileCopyrightText: 2020 Tobias Leupold <tobias.leupold@gmx.de>

   SPDX-License-Identifier: GPL-3.0-or-later
*/

#ifndef PHONETICSEARCHBUTTON_H
#define PHONETICSEARCHBUTTON_H

// Local includes
#include "IconButton.h"

// Local classes
class SharedObjects;

class PhoneticSearchButton : public IconButton
{
    Q_OBJECT

public:
    explicit PhoneticSearchButton(const QString &searchId, SharedObjects *sharedObjects,
                                  const QString &header = QString(), QWidget *parent = nullptr);

};

#endif // PHONETICSEARCHBUTTON_H
